:root {
  --primary: rgb(239, 133, 205);
  --bg: rgb(255, 194, 204);
  --button: rgb(246, 142, 159);
  --border: rgb(186, 51, 186);
  --heading-font-family: 'Rubik Bubbles';
  --paragraph-font-family: 'Mansalva';
}

@font-face {
  font-family: 'Rubik Bubbles';
  src: url('./fonts/RubikBubbles-Regular.woff2') format('woff2'),
    url('./fonts/RubikBubbles-Regular.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Mansalva';
  src: url('./fonts/Mansalva-Regular.woff2') format('woff2'),
    url('./fonts/Mansalva-Regular.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

* {
  box-sizing: border-box;
  margin: 0;
}

body {
  position: relative;
  min-height: 100vh;
  width: 100vw;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--bg);
}

main {
  position: relative;
  z-index: 99;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.card {
  position: relative;
  width: 15rem;
  background-color: var(--bg);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 2rem;
  margin: 1rem;
}

h1 {
  font-family: var(--heading-font-family), sans-serif;
  color: var(--primary);
  padding-bottom: 1.5rem;
  padding-top: 1.5rem;
  text-align: center;
}

button {
  background-color: var(--button);
  margin: 2rem;
  padding: 1rem;
  border: solid var(--border);
  border-radius: 1rem;
  font-family: var(--paragraph-font-family);
}
/* image in card */
.make-me-laugh {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
  border-radius: 2rem;
}

.background-img {
  position: relative;
  object-fit: cover;
  width: 100%;
}

audio {
  width: 15rem;
  height: 5rem;
  padding: 1rem;
}

.card-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
/* text containing the painter of the picture */
span {
  align-self: flex-start;
  padding-left: 1rem;
  font-family: var(--paragraph-font-family), sans-serif;
  font-size: 0.5rem;
  margin: 0;
  color: var(--primary);
}
/* __________DESKTOP__________ */
@media screen and (min-width: 700px) {
  .card {
    position: relative;
    width: 20rem;
    background-color: var(--bg);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 2rem;
    margin: 1rem;
  }

  audio {
    width: 20rem;
    height: 5rem;
    padding: 1rem;
  }
}
